Add support for MP3
Closed, ResolvedPublic

Description

Hi we should support MP3 even if it is disabled by default.

We already support MP4 so we should also support MP3 since some users would like this support.

Steps to Reproduce

Actual Results

Expected Results

  • there should be MP3 support and the MP3 handler file.
Paladox created this task.Oct 10 2015, 12:06 AM
Paladox updated the task description. (Show Details)
Paladox raised the priority of this task from to Needs Triage.
Paladox added a project: TimedMediaHandler.
Paladox moved this task to Backlog on the TimedMediaHandler board.
Paladox added subscribers: Paladox, brion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2015, 12:06 AM

Added @brion.

Please remove your self if you doint want to be added to this task.

@Jdforrester-WMF should this also be set as stalled until the mp3 patents expire. Since that would be in two years time.

Legoktm added a subscriber: Legoktm.Dec 4 2015, 1:53 AM

This task isn't stalled as people can work on the code ahead of time, but actually enabling it on Wikimedia sites is blocked AIUI.

RP88 added a subscriber: RP88.Jan 30 2017, 8:27 AM

Change 349596 had a related patch set uploaded (by TheDJ):
[mediawiki/core@master] MimeAnalyzer: Detect magic bytes for mp3

https://gerrit.wikimedia.org/r/349596

Change 349622 had a related patch set uploaded (by TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] TMH: Add support for MP3 files

https://gerrit.wikimedia.org/r/349622

Change 349733 had a related patch set uploaded (by TheDJ):
[operations/mediawiki-config@master] Disable mp3 uploads for now

https://gerrit.wikimedia.org/r/349733

The MP3 license program is terminated now, as the last patent in the US expired on April the 16th. According to Twitter and a Dutch news website (no English media coverage yet) this means the codec is open and free now.

putnik added a subscriber: putnik.Mon, May 15, 2:15 PM

Change 349733 abandoned by Brion VIBBER:
Disable mp3 uploads for now

Reason:
Abandoning in favor of a config switch for MP3 similar to the existing MP4 switch, disabled by default. We can then flip that switch once legal signs off.

https://gerrit.wikimedia.org/r/349733

Change 349622 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] TMH: Add support for MP3 upload and playback

https://gerrit.wikimedia.org/r/349622

brion added a comment.Fri, May 19, 7:06 AM

The TMH update has been merged but will remain off until we flip $wgTmhEnableMp3Uploads on in config, so is safe to go to production branches. Note that the core change in https://gerrit.wikimedia.org/r/349596 for the MimeAnalyzer now includes sample test files, so we're waiting on legal's confirm to merge it.

Jdforrester-WMF closed this task as Resolved.Fri, May 19, 8:01 AM
Jdforrester-WMF assigned this task to TheDJ.

Change 354456 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] MimeAnalyzer: Add testcases for mp3 detection

https://gerrit.wikimedia.org/r/354456

Change 349596 merged by jenkins-bot:
[mediawiki/core@master] MimeAnalyzer: Detect magic bytes for mp3

https://gerrit.wikimedia.org/r/349596

add hackathon tag, to keep track of what we did.